<template>
    <div>
        <button @click="changeDisplayStyleShow()" type="button" class="btn btn-primary m-4">Trainer hinzufügen</button>
        <div id="notShown" ref="notShown">
            <div class="container">
                <div class="form-group">
                    <b-form @submit="postTeilnehmer" method="post">
                        <input type="text" name="name" id="" placeholder="Name" v-model="trainer.name"
                            class="form-control"> <br>
                        <input type="text" name="email" id="" placeholder="E-Mail" v-model="trainer.eMailAdresse"
                            class="form-control"> <br>
                        <input type="text" name="adresse" id="" placeholder="Adresse" v-model="trainer.adresse"
                            class="form-control"> <br>
                        <input type="text" name="telnummer" id="" placeholder="Tel-Nummer" v-model="trainer.telNummer"
                            class="form-control"> <br>
                        <label for="">Anstellungsart wählen</label>
                        <select class="form-control form-select-lg mb-3" name="TrainerAnstellung" id=""
                            v-model="trainer.anstellung">
                            <option value="VOLLZEIT">Vollzeit</option>
                            <option value="TEILZEIT">Teilzeit</option>
                            <option value="SELBSTSTAENDIG">Selbstständig</option>
                        </select>
                        <label for="">Fachwissen wählen</label>
                        <select class="form-control form-select-lg mb-3" name="TrainerAnstellung" id=""
                            v-model="trainer.fachEnums">
                            <!-- <option disabled value="Anstellung">Anstellung</option> -->
                            <option value="JAVA">Java</option>
                            <option value="WEB">Web</option>
                            <option value="DB">Datenbanken</option>
                            <option value="WINDOWS">Windows</option>
                            <option value="LINUX">Linux</option>
                            <option value="KARRIERECOACHING">Karrierecoaching</option>
                        </select>

                        <input type="text" name="gruppeid" id="" placeholder="Bruttogehalt"
                            v-model.number="trainer.bruttoGehalt" class="form-control"> <br>
                        <label for="">Fach wählen</label>
                        <select class="form-control form-select-lg mb-3" name="TrainerAnstellung" id=""
                            v-model="trainer.fachId">
                            <option v-for="fach in alleFaecher" :key='fach.id' :value="fach.id">{{ fach.fachUnterricht }},
                                {{ fach.fachBezeichnung }}</option>
                        </select>
                        <button type="submit" class="btn container-fluid btn-info"
                            @click="changeDisplayStyleHide()">Hinzufügen</button>
                    </b-form>
                </div>
            </div>
        </div>
    </div>
</template>

<script>

export default {
    name: 'TrainerPost',
    components: {

    },
    data() {
        return {


            trainer: {
                name: null,
                eMailAdresse: null,
                adresse: null,
                telNummer: null,
                anstellung: null,
                fachEnumsWissen: null,
                bruttoGehalt: null,
                fachId: ''
            }
        }
    },

    computed: {
        alleFaecher() {
            return this.$store.state.alleFaecher
        },
    },

    mounted() {
        this.$store.dispatch("getAlleFaecher");
    },

    methods: {
        postTeilnehmer(e) {
            console.log(this.trainer)
            const response = this.$store.dispatch('postTrainer', this.trainer)
                .then((result) => {
                    console.log(result)
                    console.log(response)
                })
            e.preventDefault()

        },
        changeDisplayStyleShow: function () {
            this.$refs.notShown.style.display = "block";
        },
        changeDisplayStyleHide: function () {
            this.$refs.notShown.style.display = "none";
        }
    }
}
</script>

<style>
#notShown {
    display: none;
}
</style>